Subject: Re: linux-next: manual merge of the akpm tree with the tip tree

From: "H. Peter Anvin" <[email-masked]>
Date: Sun, 26 Feb 2012 22:01:21 -0800

On 02/26/2012 09:53 PM, Stephen Rothwell wrote:
> Hi Andrew,
> 
> Today's linux-next merge of the akpm tree got a conflict in 
> arch/x86/syscalls/syscall_64.tbl between commit 
> arch/x86/syscalls/syscall_64.tbl ("x32: Add x32 system calls to 
> syscall/syscall_64.tbl") from the tip tree and commit "syscalls,
> x86: add __NR_kcmp syscall" from the akpm tree.
> 
> I fixed it up (see below) but did not know if this call should be
> marked "common".

It should be "common" (otherwise there would need to be an x32 variant
which would point to the compat version of the call, but in this case
even the i386 entry point goes straight to sys_kcmp.)

	-hpa

-- 
H. Peter Anvin, Intel Open Source Technology Center
I work for Intel.  I don't speak on their behalf.